Page MenuHomePhabricator

Editing fr.wiktionary: Duplicated template categories in Section titles (custom template "S")
Closed, ResolvedPublic8 Story Points

Description

Since yesterday our Visual Editor editors are involuntarily sabotaging our sections titles, which are constituted of categorizing templates for several years (they didn't change).

I've just tested it myself with my last Firefox in Monobook and the problem is the same: it's automatically duplicate the template categories into the article.
https://fr.wiktionary.org/w/index.php?title=supin&diff=19914515&oldid=19914514

Event Timeline

JackPotte updated the task description. (Show Details)
JackPotte raised the priority of this task from to Unbreak Now!.
JackPotte added a project: VisualEditor.
JackPotte added a subscriber: JackPotte.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 6 2015, 10:29 AM
JackPotte updated the task description. (Show Details)Jun 6 2015, 10:31 AM
JackPotte set Security to None.
JackPotte updated the task description. (Show Details)
Aklapper renamed this task from Major Visual Editor bug on fr.wiktionary: sections titles sabotage to Editing fr.wiktionary: Duplicated template categories in Section titles (custom template "S").Jun 6 2015, 3:33 PM
JackPotte added a comment.EditedJun 6 2015, 9:13 PM

Now we have cleaned nearly a hundred of these bugs, like https://fr.wiktionary.org/w/index.php?title=ben&diff=19914527&oldid=19908652.
Some good editions have already been revoked by those who aren't aware of the problem.

And 11 hours after this ticket creation, the only progression here is the replacement of my title beginning by "Major Visual Editor bug" by "custom template "S""...
As if it was normal to let the biggest French dictionary ever sabotaged, and its community who hadn't ask for any update, clean this mess, because of its template "S" (which hasn't moved for several months I repeat it
https://fr.wiktionary.org/w/index.php?title=Mod%C3%A8le:S&action=history).

That's why we are in right to claim the Visual Editor by default deactivation, which seems to be the quickest so the better solution for us.
Or to control its activation for the IPs from the site.

To answer Dereckson on the IRC, the very first occurrence of this bug is https://fr.wiktionary.org/w/index.php?title=avenir&curid=4915&diff=19911660&oldid=19816587.
So the 3 June 2015 23:38 UTC+1.

Krenair added a subscriber: Krenair.

Seems relatively close to this entry in SAL for the 3rd of June:
20:19 subbu: deployed parsoid sha ab675400

According this log entry, the best candidate for the regression is Gerrit change 213855 (T100225).

I just got home and saw the bug report. I checked and it seems to be an old bug that got triggered by gerrit 213855. I will push a hotfix in the next hour or so.

Change 216505 had a related patch set uploaded (by Subramanya Sastry):
T101599: Don't hoist categories out of headings if they come from tpls

https://gerrit.wikimedia.org/r/216505

Change 216505 merged by jenkins-bot:
T101599: Don't hoist categories out of headings if they come from tpls

https://gerrit.wikimedia.org/r/216505

Change 216509 had a related patch set uploaded (by Subramanya Sastry):
T101599: Don't hoist categories out of headings if they come from tpls

https://gerrit.wikimedia.org/r/216509

Change 216509 merged by jenkins-bot:
T101599: Don't hoist categories out of headings if they come from tpls

https://gerrit.wikimedia.org/r/216509

Dereckson assigned this task to ssastry.Jun 6 2015, 11:58 PM

Parse test

[subbu@earth lib] echo '=={{S|nom|fr}}==' | node parse --prefix frwiktionary --wt2wt
=={{S|nom|fr}}==

Wiki test
this edit didn't cause issue to the title.

Dereckson closed this task as Resolved.Jun 6 2015, 11:58 PM
Dereckson awarded a token.

And 11 hours after this ticket creation, the only progression here is the replacement of my title

@JackPotte: Running into software mistakes is frustrating for anybody but mistakes unfortunately happen (and in my understanding, the term "sabotage" implies intention, which surely wasn't the case here). Please note that people might sleep or even spend time with their family within 11 hours, on a weekend. Thanks.

JackPotte added a comment.EditedJun 8 2015, 11:58 AM

I really thank you for this reparation, and I didn't want to imply anything during my factual description, about your intentions, your implication, or your skills (actually I'm a professional developer and system administrator too, as I've proved it on the wikis).

To conclude constructively, I just would like to make the point to the lack of organizational corrective measure. Nobody has answered to my suggestion to let the local administrators activate or deactivate this function from the sites. Adding them into the beta test would be the quickest solution to avoid any incident to spread. Otherwise we may think of reviewing the tests process or to recruit.

If we had Herald access, we'd be able to have Phabricator automatically alert extra people every time someone posted an UBN bug against VE.

Unfortunately we don't, and I only heard about this (and started finding the right people to fix it) after a very helpful person manually caught my attention on IRC while I happened to be around.

Dereckson added a comment.EditedJun 12 2015, 9:37 PM

See also: T102264 (same symptoms but unrelated).

Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.Jun 17 2015, 11:32 PM